function verifyDiskSpace(dirPath, spaceRequired)
{
var spaceAvailable;
spaceAvailable = fileGetDiskSpaceAvailable(dirPath);
spaceAvailable = parseInt(spaceAvailable / 1024);
if(spaceAvailable < spaceRequired)
{
logComment("Insufficient disk space: " + dirPath);
logComment("  required : " + spaceRequired + " K");
logComment("  available: " + spaceAvailable + " K");
return(false);
}
return(true);
}
var srDest = 262;
var err;
var fProgram;
// OS type detection
// which platform?
var platformStr = new String(Install.platform);
var platformNode;
if (!platformStr.search(/^Macintosh/))
platformNode = 'mac';
else if (!platformStr.search(/^Win/))
platformNode = 'win';
else
platformNode = 'unix';
logComment("initInstall: platformNode=" + platformNode);
// end
// end - OS type detection
// --- LOCALIZATION NOTE: translate only these ---
var prettyName = "el-gr";
var langcode = "el";
var regioncode = "gr";
var chromeNode = langcode + "-" + regioncode;
// --- END LOCALIZABLE RESOURCES ---
var regName    = "locales/mozilla/" + chromeNode;
var chromeName = chromeNode + ".jar";
var regionFile = regioncode + ".jar";
var platformName = langcode + "-" + platformNode + ".jar";
var localeName = "locale/" + chromeNode + "/";
var regionName = "locale/" + regioncode + "/";
err = initInstall(prettyName, regName, "6.0.0.2001080110");
logComment("initInstall: " + err);
fProgram = getFolder("Program");
logComment("fProgram: " + fProgram);
if (verifyDiskSpace(fProgram, srDest))
{
err = addDirectory("",
"6.0.0.2001080110",
"bin",
fProgram,
"",
true);
logComment("addDirectory() returned: " + err);
// register chrome
var cf = getFolder("Chrome");
registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "global/");
registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "necko/");
registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "communicator/");
registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "forms/");
registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "editor/");
registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "navigator/");
registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "pipnss/");
registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "pippki/");
registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "wallet/");
registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "cookie/");
registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "content-packs/");
registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "help/");
registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "mozldap/");
registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "messenger/");
registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), localeName + "messenger-smime/");
registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, platformName), localeName + "communicator-platform/");
registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, platformName), localeName + "global-platform/");
registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, platformName), localeName + "navigator-platform/");
registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, platformName), localeName + "messenger-mapi/");
if (err == SUCCESS)
{
err = performInstall();
logComment("performInstall() returned: " + err);
alert("Installation finished. After a browser restart, you should be able to select to use the Greek locale via the Edit-Preferences-Appearance-Language/content menu.");
}
else
{
cancelInstall(err);
logComment("cancelInstall due to error: " + err);
alert("Installation canceled. Error code was " + err);
}
}
else
cancelInstall(INSUFFICIENT_DISK_SPACE);
